Package org.apache.commons.imaging.formats.jpeg.segments

## Class JfifSegment

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser
  - - org.apache.commons.imaging.formats.jpeg.segments.Segment
    - - org.apache.commons.imaging.formats.jpeg.segments.JfifSegment

-     public class JfifSegment
      extends Segment

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `densityUnits` |
    `int` | `jfifMajorVersion` |
    `int` | `jfifMinorVersion` |
    `int` | `thumbnailSize` |
    `int` | `xDensity` |
    `int` | `xThumbnail` |
    `int` | `yDensity` |
    `int` | `yThumbnail` |

    - ### Fields inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `length, marker`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JfifSegment​(int marker, byte[] segmentData)` |
    `JfifSegment​(int marker, int markerLength, InputStream is)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDescription()` |

    - ### Methods inherited from class org.apache.commons.imaging.formats.jpeg.segments.Segment

      `dump, getSegmentType, toString`

    - ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

      `debugNumber, debugNumber, getByteOrder, setByteOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### jfifMajorVersion

          public final int jfifMajorVersion

    - #### jfifMinorVersion

          public final int jfifMinorVersion

    - #### densityUnits

          public final int densityUnits

    - #### xDensity

          public final int xDensity

    - #### yDensity

          public final int yDensity

    - #### xThumbnail

          public final int xThumbnail

    - #### yThumbnail

          public final int yThumbnail

    - #### thumbnailSize

          public final int thumbnailSize

  - ### Constructor Detail

    - #### JfifSegment

          public JfifSegment​(int marker,
                             byte[] segmentData)
                      throws ImageReadException,
                             IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### JfifSegment

          public JfifSegment​(int marker,
                             int markerLength,
                             InputStream is)
                      throws ImageReadException,
                             IOException

      Throws:
        `ImageReadException`
        `IOException`

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in class `Segment`